#
# Conditional build:
%bcond_without	gcrypt	# use libgcrypt instead of OpenSSL (ucommon in PLD uses OpenSSL by default)

Summary:	Common C++ class framework for RTP packets
Summary(pl.UTF-8):	Szkielet klas C++ dla pakietów RTP
Name:		ccrtp
Version:	2.1.2
Release:	5
License:	GPL v2+ with runtime exception
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/ccrtp/%{name}-%{version}.tar.gz
# Source0-md5:	e6792cbd8b705901c205a509bd7f812f
Patch0:		%{name}-info.patch
Patch1:		%{name}-openssl.patch
Patch2:		%{name}-am.patch
URL:		http://www.gnu.org/software/ccrtp/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	doxygen >= 1.8.0
%{?with_gcrypt:BuildRequires:	libgcrypt-devel >= 1.2.3}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
%{!?with_gcrypt:BuildRequires:	openssl-devel}
BuildRequires:	pkgconfig
BuildRequires:	ucommon-devel >= 6.2.2
Requires:	ucommon >= 6.2.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ccRTP is a generic, extensible and efficient C++ framework for
developing applications based on the Real-Time Transport Protocol
(RTP) from the IETF. It is based on Common C++ and provides a full
RTP/RTCP stack for sending and receiving of realtime data by the use
of send and receive packet queues. ccRTP supports unicast,
multi-unicast and multicast, manages multiple sources, handles RTCP
automatically, supports different threading models and is generic as
for underlying network and transport protocols.

%description -l pl.UTF-8
ccRTP jest ogólnym, rozszerzalnym i efektywnym szkieletem C++ do
rozwijania aplikacji bazujących na transporcie czasu rzeczywistego
(RTP) z IETF. Bazuje na Common C++ i udostępnia pełen stos RTP/RTCP do
wysyłania i odbierania danych w czasie rzeczywistym z użyciem kolejek
wysyłania i odbierania pakietów. ccRTP obsługuje unicasty,
multi-unicasty i multicasty, zarządza wieloma źródłami, obsługuje
automatycznie RTCP, wspiera różne modele wątkowania i jest ogólny dla
podstawowych sieci i protokołów transportowych.

%package devel
Summary:	Header files for ccrtp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ccrtp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_gcrypt:Requires:	libgcrypt-devel >= 1.2.3}
Requires:	libstdc++-devel
%{!?with_gcrypt:Requires:	openssl-devel}
Requires:	ucommon-devel >= 6.2.2

%description devel
Header files for ccrtp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ccrtp.

%package static
Summary:	Static ccrtp library
Summary(pl.UTF-8):	Statyczna biblioteka ccrtp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ccrtp library.

%description static -l pl.UTF-8
Statyczna biblioteka ccrtp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
# LIBGCRYPT_CONFIG is a hack to disable libgcrypt and pass to openssl detection
%configure \
	%{!?with_gcrypt:LIBGCRYPT_CONFIG=/nonexisting}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING.addendum ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libccrtp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libccrtp.so.3

%files devel
%defattr(644,root,root,755)
%doc doc/html/*.{css,html,js,png}
%attr(755,root,root) %{_libdir}/libccrtp.so
%{_libdir}/libccrtp.la
%{_includedir}/ccrtp
%{_pkgconfigdir}/libccrtp.pc
%{_infodir}/ccrtp.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libccrtp.a
%changelog
* Tue Sep 18 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ccrtp.git;a=log;h=master

* Tue Sep 18 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e78ec44
- rel 5; use gcrypt until openssl 1.1 is supported

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> adc5781
- release 4 (by relup.sh)

* Wed Apr 13 2016 Jakub Bogusz <qboosh@pld-linux.org> 1cb1966
- release 3 (ucommon rebuild)

* Mon Sep 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9400a58
- release 2 (by relup.sh)

* Sun Jul 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 7be3ecc
- updated to 2.1.2

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 8a7ce00
- missing fix-info-dir

* Sun Nov 23 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f276bc0
- release 2 (by relup.sh)

* Tue Nov 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 1a54ca0
- updated to 2.1.1 (noet: new soname)
- updated am patch

* Sun Apr 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 9d30414
- updated to 2.0.9

* Thu Jan 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 2a11e20
- updated to 2.0.7 (note: new soname)

* Sat Jun 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 30b0987
- added am patch (fixes build with automake 1.13+)

* Sat Jun 08 2013 Jakub Bogusz <qboosh@pld-linux.org> f2a021e
- updated to 2.0.6

* Sun Nov 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 2bc729e
- updated to 2.0.5

* Tue May 01 2012 Szymon Siwek <sls@pld-linux.org> b749edf
- BR: doxygen >= 1.8.0 (to create packaged jquery.js file)

* Tue Apr 17 2012 Jakub Bogusz <qboosh@pld-linux.org> 6084ac8
- updated to 2.0.3
- updated openssl patch

* Sat Jan 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1db38f7
- rel 2; pointing LIBCRYPTO_CONFIG to non-existing entry works; bin/false fails

* Tue Jan 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 69d0628
- updated to 2.0.2
- removed obsolete gcc4,lt patches
- added openssl patch to fix build with openssl, use it by default (+gcrypt bcond)
- added info patch to unify direntry
- ccrtp now uses commoncpp from ucommon (5.0.0+) instead of commoncpp2

* Fri Feb 27 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 93d145d
- up to 1.7.1

* Fri Feb 27 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 681c3c1
- updated

* Fri Dec 19 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2cbbfca
- updated

